// Chart data
const chartData = {
  bar: [12, 19, 3, 5, 2, 3],
  scatter: [
    {x: 10, y: 20},
    {x: 15, y: 10},
    {x: 20, y: 30},
    {x: 25, y: 15},
    {x: 30, y: 25}
  ],
  histogram: [1, 2, 2, 3, 3, 3, 4, 4, 5]
};

// Chart container
const chartContainer = document.querySelector('.chart-container');

// Chart buttons
const chartButtons = document.querySelectorAll('.chart-button');

// Initialize chart
let currentChart = 'bar';

// Function to render chart
function renderChart(type) {
  chartContainer.innerHTML = '';
  
  if (type === 'bar') {
    const maxValue = Math.max(...chartData.bar);
    chartData.bar.forEach(value => {
      const bar = document.createElement('div');
      bar.style.height = `${(value / maxValue) * 100}%`;
      bar.classList.add('chart-bar');
      chartContainer.appendChild(bar);
    });
  } else if (type === 'scatter') {
    chartData.scatter.forEach(point => {
      const dot = document.createElement('div');
      dot.style.left = `${point.x}%`;
      dot.style.bottom = `${point.y}%`;
      dot.classList.add('chart-dot');
      chartContainer.appendChild(dot);
    });
  } else if (type === 'histogram') {
    const maxValue = Math.max(...chartData.histogram);
    chartData.histogram.forEach(value => {
      const bar = document.createElement('div');
      bar.style.height = `${(value / maxValue) * 100}%`;
      bar.classList.add('chart-bar');
      chartContainer.appendChild(bar);
    });
  }
}

// Add event listeners to chart buttons
chartButtons.forEach(button => {
  button.addEventListener('click', () => {
    currentChart = button.textContent.toLowerCase().replace(' ', '-');
    renderChart(currentChart);
  });
});

// Initial render
renderChart(currentChart);